Bug 805952 - Error message when deleting Virtual Guest.
Error message when deleting Virtual Guest.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Jiří Mikulka
:
Depends On:
Blocks: sat550-blockers
  Show dependency treegraph
 
Reported: 2012-03-22 10:30 EDT by Dimitar Yordanov
Modified: 2014-10-06 09:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-java-1.7.54-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error Message (134.57 KB, image/png)
2012-03-22 10:31 EDT, Dimitar Yordanov
no flags Details

  None (edit)
Description Dimitar Yordanov 2012-03-22 10:30:54 EDT
Description of problem:
Error message when deleting Virtual Guest.

Version-Release number of selected component (if applicable):
Spacewalk 1.7 PostgreSQL

How reproducible:
100%

Steps to Reproduce:
1. Install Spacewalk 1.7 PostgreSQL
2. Register KVM Virtual Host to SW17 that has some VGuests already.
3. Set Virtualization Entitlement to  KVM VHost.
   Systems -> KVM VHOST -> System Properties (Edit These Properties) -> Virtualization
4. Try to delete one VGuest that is on KVM VHost
    -  Systems -> KVM VHOST -> Virtualization
    -  Select one VGuest  
    -  Leave Edit Field "allocation to equal" empty
    -  Delete Systems
    -  Press button "Apply action"

Actual results:
Allocation must be an integer.
See Attachment.


Expected results:
No Error message and the VGuest is removed from the VGuests list.

Additional info:
Comment 2 Jan Pazdziora 2012-04-04 05:47:39 EDT
I assume the bug is not PostgreSQL specific.
Comment 3 Jan Pazdziora 2012-04-04 05:48:46 EDT
Fixed in Spacewalk master, 272edc3f43e10ff3de95a90624103829a24dd0b4.
Comment 10 Clifford Perry 2012-09-21 05:17:03 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.